# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.Classify200Response do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :classifications,
    :detections
  ]

  @type t :: %__MODULE__{
    :classifications => [FoyerAPI.Model.Classify200ResponseClassificationsInner.t] | nil,
    :detections => [FoyerAPI.Model.Classify200ResponseDetectionsInner.t] | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.Classify200Response do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:classifications, :list, FoyerAPI.Model.Classify200ResponseClassificationsInner, options)
    |> deserialize(:detections, :list, FoyerAPI.Model.Classify200ResponseDetectionsInner, options)
  end
end

